<?php
/*
Plugin Name: WPAffiliateRockstar
Plugin URI: http://www.wpaffiliaterockstar.com
Description: Create Affiliate Campaigns In Minutes.
Author: WPAffiliateRockstar.com
Version: 1.4
Author URI: http://www.wpaffiliaterockstar.com
*/
define( 'wafr_WP_DIR', get_bloginfo('wpurl') );
define( 'wafr_TEMPLATES', get_bloginfo('wpurl'). '/modules/templates' );
define( 'wafr_NAME', 'wafr' );
define( 'wafr_CPT_LABEL', 'WPAffiliateRockstar' );
define( 'wafr_CPT_NAME', 'wafr' );



add_filter('query_vars', 'wafr_queryvars_pre' );


$prefix = '_wafr_'; // Prefix for all fields


function wafr_queryvars_pre( $qvars )
{
$qvars[] = 'go';
$qvars[] = 'bonuskey';

return $qvars;
}

//Initialize the metabox class
function wafr_initialize_cmb_meta_boxes() {
	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once(plugin_dir_path( __FILE__ ) . '/lib/init.php');
		
	
}
add_action( 'init', 'wafr_initialize_cmb_meta_boxes', 9999 );
//Add Meta Boxes
function wafr_sample_metaboxes( $meta_boxes ) {
	$prefix = '_wafr_'; // Prefix for all fields
	$meta_boxes[] = array(
		'id' => 'test_metabox',
		'title' => 'WPAffiliateRockstar Page Settings',
		'pages' => array(wafr_CPT_NAME), // Add Metabox to this CPT
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
		
		
		
		array(
			'name' => 'Page Background Color:',
			'id'   => $prefix . 'bgcolor',
			'type' => 'colorpicker',
			'default'  => '#252525',
		),
		
		
		array(
				'name' => 'Page Background Image:',
				'desc' => 'Upload an image or enter an URL. Comment: If you use a bacground image, your page backgroud color will not be used for the video page.',
				'id' => $prefix . 'bgimage',
				'type' => 'file',
				'allow' => array( 'url', 'attachment' ) // limit to just attachments with array( 'attachment' )
			),


		
		
		
		
		
		
			array(
				'name' => 'Branding (Optional):',
				'desc' => 'Upload an image or enter an URL.',
				'id' => $prefix . 'logourl',
				'type' => 'file',
				'allow' => array( 'url', 'attachment' ) // limit to just attachments with array( 'attachment' )
			),

		
		array(
				'name' => 'Headline Text:',
				'desc' => 'Example: Learn How To XYZ With Just Some Clicks.',
				'id' => $prefix . 'headline',
				'type' => 'text_medium'
			),
		
		
		
		array(
			'name' => 'Headline Text Color:',
			'id'   => $prefix . 'headlinecolor',
			'type' => 'colorpicker',
			'default'  => '#ffffff',
		),
				
		
		
		
		
		
			array(
				'name' => 'Footer Text:',
				'desc' => 'Example: YourSite.com - All Rights Reserved.',
				'id' => $prefix . 'footertext',
				'type' => 'text_medium'
			),
		
		
		
		array(
			'name' => 'Footer Text Color:',
			'id'   => $prefix . 'footertextcolor',
			'type' => 'colorpicker',
			'default'  => '#ffffff',
		),
	
		
		
		


		
			
			
		),
	);
	//return $meta_boxes;
	
	
	
	
	
	
	
	
	
	
	
	
	$meta_boxes[] = array(
		'id' => 'cta_metabox',
		'title' => 'Call To Action Button',
		'pages' => array(wafr_CPT_NAME), // Add Metabox to this CPT
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
		
		

			
		array(
				'name' => 'Button Text:',
				'desc' => 'Example: Click Here To Learn More',
				'id' => $prefix . 'buttontext',
				'type' => 'text_medium'
			),
			
		

		array(
				'name' => 'Button Url:',
				'desc' => 'Can be any url (affiliate etc). The visitors will be redirected to this url after clicking the button. ',
				'id' => $prefix . 'buttonurl',
				'default'  => 'http://www.',
				'type' => 'text'
			),
				
										
		
		
		
	
	
	
	
		),
	);
	
	
	
	
	
	
	
	
	$meta_boxes[] = array(
		'id' => 'video_metabox',
		'title' => 'YouTube Video Settings',
		'pages' => array(wafr_CPT_NAME), // Add Metabox to this CPT
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
		
		

			
		array(
				'name' => 'YouTube Video Url:',
				'desc' => 'Example: https://www.youtube.com/watch?v=auDetQ65HKA',
				'id' => $prefix . 'videoid',
				'type' => 'text'
			),
			
	

	array(
			'name'    => 'Autplay Video:',
			'desc'    => 'Define if you want to autoplay the video or not.',
			'id'      => $prefix . 'autoplayvideo',
			'type'    => 'select',
			'options' => array(
				'1'   => __( 'No', 'cmb' ),
				'2'     => __( 'Yes (Recommended)', 'cmb' ),
			),
			'default' => '2',
		),
	

	
		
		
		
		array(
			'name'    => 'Show YouTube Controls:',
			'desc'    => 'Define if you want to show or hide the YouTube player controls.',
			'id'      => $prefix . 'showcontrols',
			'type'    => 'select',
			'options' => array(
				'0'   => __( 'No', 'cmb' ),
				'1'     => __( 'Yes (Always Visible)', 'cmb' ),
				'2'     => __( 'Yes (Hide on Mouse Out)', 'cmb' ),
			),
			'default' => '0',
		),
							
	
	
	
			array(
			'name'    => 'Redirect To Your Url at The End of the Video:',
			'desc'    => 'You can force a redirect to your url (button url) when the video ends. Comment: The redirect uses a timer based on the lenght of the video. If the user pauses the video, the timer will keep on running.',
			'id'      => $prefix . 'forceredirect',
			'type'    => 'select',
			'options' => array(
				'no'   => __( 'No', 'cmb' ),
				'yes'     => __( 'Yes', 'cmb' ),
			),
			'default' => 'no',
		),
							
		
		
		array(
				'name' => 'Show Message Before Redirect: (Optional)',
				'desc' => 'If you have enabled the previous option, this allows you to show a friendly message before doing the redirect.',
				'id' => $prefix . 'redirectmsg',
				'default'  => 'Thanks for Watching This Video!',
				'type' => 'text'
			),
		
	
	
	
	
	
	
		),
	);
	
	
	
	
	
	
	
	
	
	
	
	
	$meta_boxes[] = array(
		'id' => 'bonus_metabox',
		'title' => 'Your Bonus Download Page For This Campaign (Optional):',
		'pages' => array(wafr_CPT_NAME), // Add Metabox to this CPT
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
		
		
		

		array(
			'name' => 'Bonus Download Page Content:',
			'desc' => 'This page will contain the download details for your bonuses. You can use it, if you will be creating a bonus page for this campaign.',
			'id' => $prefix . 'bonus_editor',
			'type' => 'wysiwyg',
			'options' => array(),
		),


		array(
				'name' => 'Your Bonus Download Page Key:',
				'desc' => 'To access your bonus download page (if you are using one), you need to pass the following parameter to your WPAffiliateRockstar page: ?bonuskey=yoursecretkey . Example:  '. get_post_permalink() .'/my campaign/?bonuskey=yoursecretkey. Your secret key must not contain spaces or strange characters.  ',
				'id' => $prefix . 'bonus_key',
				'type' => 'text_small'
			),
	



		
	
	
		),
	);
	
	
	return $meta_boxes;
	
	
	
}
add_filter( 'cmb_meta_boxes', 'wafr_sample_metaboxes' );
include("modules/cpt.php");	//Optional (Can Disable). This line adds a custom post type.
include("modules/cpt_template_loader.php");	//Optional (Can Disable). This line adds a custom post type.
?>