<?php
/**
 * Template Name
 */
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

global $post;
//Read Custom Post Type Values


add_filter('query_vars', 'wafr_queryvars' );



$prefix = '_wafr_'; // Prefix for all fields                      sdsdsdsds


function wafr_queryvars( $qvars )
{
$qvars[] = 'go';
$qvars[] = 'bonuskey';

return $qvars;
}



$wafr_url  = $_GET['go'];


$buttonurl = get_post_meta( $post->ID,  $prefix . 'buttonurl', true );	
$forceredirect = get_post_meta( $post->ID,  $prefix . 'forceredirect', true );	
$redirectmsg = get_post_meta( $post->ID,  $prefix . 'redirectmsg', true );	

	

if ($wafr_url !='') {

	header('Location: '.$buttonurl);
	die();
}




$pgtitle = get_post_meta( $post->ID,  $prefix . 'page_title', true );

//Textos
$headline = get_post_meta( $post->ID,  $prefix . 'headline', true );
$headlinecolor = get_post_meta( $post->ID,  $prefix . 'headlinecolor', true );
$footertext = get_post_meta( $post->ID,  $prefix . 'footertext', true );
$buttontext = get_post_meta( $post->ID,  $prefix . 'buttontext', true );
//$buttontextcolor = get_post_meta( $post->ID,  $prefix . 'buttontextcolor', true );
$buttontextcolor ="#191919";

$footertext = get_post_meta( $post->ID,  $prefix . 'footertext', true );
$footertextcolor = get_post_meta( $post->ID,  $prefix . 'footertextcolor', true );



//Video Id

$videurl = get_post_meta( $post->ID,  $prefix . 'videoid', true );

$videoid = getVideoID($videurl) ;


$showcontrols = get_post_meta( $post->ID,  $prefix . 'showcontrols', true );

	

	$showcontrolsb = 0;
		$autohide =0 ;
	
switch($showcontrols) { 
 
	case '': 
		$showcontrolsb = 0;
		$autohide =0 ;
		break;
 
	case '0': 
		$showcontrolsb = 0;
		$autohide =0 ;
		break;
	case '1': 
		$showcontrolsb = 1;
		$autohide =0 ;
		break;
	case '2': 
		$showcontrolsb = 1;
		$autohide =1 ;
		break;
	}

	
	

$autoplay = get_post_meta( $post->ID,  $prefix . 'autoplayvideo', true );



	$autoplay = $autoplay - 1;


//Diseño
$logourl = get_post_meta( $post->ID,  $prefix . 'logourl', true );
$bgcolor = get_post_meta( $post->ID,  $prefix . 'bgcolor', true );

$bgimage = get_post_meta( $post->ID,  $prefix . 'bgimage', true );

if ($bgimage !='') {

		//Imagen de Fondo
		$bgdiv = 'fondoimg';
	
}else{
	
		//Color de Fondo
		$bgdiv = 'fondo';


}




function getVideoID($url){

        parse_str(parse_url($url,PHP_URL_QUERY),$arr);
        $video_id=$arr['v']; 


        
        return $video_id;
    }




function getDuration($videoid){

        //parse_str(parse_url($url,PHP_URL_QUERY),$arr);
        //$video_id=$arr['v']; 


        $data=@file_get_contents('http://gdata.youtube.com/feeds/api/videos/'.$videoid.'?v=2&alt=jsonc');
        if (false===$data) return false;

        $obj=json_decode($data);

        return $obj->data->duration;
    }

    //echo getDuration('http://www.youtube.com/watch?v=rFQc7VRJowk');



?>
<html>
<title><?php echo $pgtitle; ?></title>


<head>


<?php


$js_timer_code = ''; //Inicio Vacío

if ($forceredirect !='no') {
		
		$metaredirect_seconds = getDuration($videoid);
		
		
		
		//Si hay que hacer redirect despues de tantos segundos, hacerlo.
		$metaredirect_html= '<meta http-equiv="refresh" content="'.$metaredirect_seconds.'; url='.$buttonurl.'" />';
		echo $metaredirect_html;


		$metaredirect_msg_seconds = ($metaredirect_seconds * 1000 ) - 2000;


		
		if ($redirectmsg != ''){
		
			$js_timer_code = '<script type="text/javascript">
					function showIt() {
					document.getElementById("top_text").innerHTML = "'.$redirectmsg.'";
  

					}
					setTimeout("showIt()", '. $metaredirect_msg_seconds .'); </script>}';
	
	
		}




		
		
}
		
?>





<style>
        html, body {
		margin: 0; 
		padding: 0;
		height: 100%; 
		
		}

#fondo {


    		background-color:<?php echo $bgcolor; ?>;
    		position:absolute;
    		top:0px;
    		left:0px;
    		width:100%;
    		height:100%;
    		overflow:auto;
			z-index: 900;
}
		


#fondoimg {

			background: url("<?php echo $bgimage; ?>");
			max-width: 100%;
			position:relative;
			height:100%;
			z-index: 900;
}


	









		  #container {
			position: relative;
			margin-left: auto;
			margin-right: auto;
			top:15%;
			
			width:70%;
			height=80%;
		 }
		

 
		
		
		#vid {
			position: relative;
			padding-bottom: 38%;
			padding-top: 30px; height: 0; overflow: hidden;
			z-index:400;
			
			
			
		}
 

 
 
		#vid iframe,
		#vid object,
		#vid embed {
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			
			
			
		}
		
		









	

	
#float_center {
  float: right;
  position: relative;
  left: -50%; /* or right 50% */
  text-align: left;
}		
		




#logo {
  
 position:fixed;
 top: 30px; 
 left: 30px; 
   
}


		

#btn {
  -webkit-border-radius: 4;
  -moz-border-radius: 4;
  border-radius: 4px;
  font-family: Arial;
  color: <?php echo $buttontextcolor; ?>;
  font-size: 23px;
  background: #ffff52;
  text-decoration: none;
  
 padding: 16px 24px 16px 24px;
 
 position:relative;
 
   width: 50%;
   	display: block;
			margin-left: auto;	
			margin-right: auto;

		9z-index: 990; 
				
			
   
}

#btn:hover {
  background: #ffff0d;
  text-decoration: none;
}








	#footer_text {
		  font-family: Arial;
		  color: <?php echo $footertextcolor; ?>;
		  font-size: 12px;

		   
		}









	
	
	
	
	
	
	
	





		#top_bar {
			position: fixed;
			z-index: 100; 
			top: 0; 
			left: 0;
			width: 100%;
			height: 14%;
	

			display: block;
			margin-left: auto;	
			margin-right: auto;
  
	
		}
		
		
		
		

		
		#top_text {
		  font-family: Arial;
		  color: <?php echo $headlinecolor; ?>;
		  font-size: 25px;
		  
		  text-decoration: none;
		  top: -40px;
		  
		 padding: 16px 14px 16px 14px;
		 text-shadow: 2px 2px 0 rgba(0,0,0,0.3);
		   
		   
		   
		}
	


	

	
	
	
		
	
	
	
	
	
	
	
	
	
	@media all and (max-width: 700px) {
	
		#top_bar {
			height: 22%;
	
		}
		#container { 
		top:28%;
		
		}
		
		
		#vid { 
		padding-bottom: 44%;
		
		}
		
		
		#bottom_bar {height:65%;}
		
		#btn {font-size: 18px;
		
			padding: 16px 12px 16px 12px;
			top: 95px;
		}
	
	}

	
		@media all and (max-width: 900px) {
	
				#logo {
					visibility: hidden;
				}

				#bottom_bar {height:40%;}
				
				#btn {font-size: 18px;
				
					padding: 16px 12px 16px 12px;
					top: -5px;
				}


				
		}


</style>


 <div id="<?php echo $bgdiv; ?>">	
  <div id="top_bar" align="center">
  
  <?php 
	
	
	if ($logourl !='') {
		
		//Si hay logo, mostrarlo
		$logo_html = '<div id="logo"><img src="'. $logourl .'"></div>';
		echo $logo_html;
	}
	
	?>
	
  
  
  
	<h1><div id='top_text' style='margin: 0 auto;' align='center''><center><?php echo $headline; ?></center></div></h1>
	
	
  </div>

  


<div id="container"  >



    	<div id="vid">
		
		<iframe src="http://www.youtube.com/embed/<?php echo $videoid; ?>?html5=1&autoplay=<?php echo $autoplay; ?>&hd=1&rel=0&autohide=<?php echo $autohide; ?>&showinfo=0&amp;controls=<?php echo $showcontrolsb; ?>" frameborder="0" allowfullscreen></iframe>

		
		
	</div>


	<h1><a href='<?php $wafr_fulldomain; ?>?go=1' id='btn' style='margin: 0 auto;' align='center'><center><?php echo $buttontext; ?></center></a></h1>      
	<div id='footer_text'  align='center'><center><?php echo $footertext; ?></center>	</div>
	
</div>


  
    
    <div id="bottom_bar" align="center">
	
	<?php 
	
	$wafr_fulldomain ="http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];

	?>
	
	
	
		
		
		
		
		</div>
		
		
		  <div id="footer_bar"   align="center">
		
		</div>
		


		<?php 

			
			echo $js_timer_code;
		

		?>


	 </body>
	 </html>